curl -X GET \
'https://api.appcharge.com/v2/offer?publisherOfferIds=post-purchase-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 1,
"offers": [
{
"publisherId": "35nb7861ec9924a6b69a0fe59",
"publisherOfferId": "post-purchase-1",
"name": "Purchase Reward Offer",
"displayName": "Purchase Reward Offer",
"description": "Post purchase offer for VIP players.",
"type": "PopUp",
"subType": "PostPurchase",
"active": true,
"segments": [],
"offerUi": {
"offerUiId": "68b41c5aa1c5b1a284737e9b",
"active": true,
"offerUiType": "PopUp",
"name": "popup",
"description": "description",
"backgroundImage": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2755379465856__fa883338-5790-47c8-a6a0-23cb43db58844",
"externalId": "popup"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"product": {
"publisherProductId": "TreasureChest",
"name": "Treasure Chest",
"type": "Quantity",
"prefix": "$",
"suffix": "M",
"priority": "Main",
"images": [
{
"type": "product",
"url": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2208472.png"
},
{
"type": "productPrefix",
"url": ""
}
],
"displayName": "Treasure Chest"
}
}
]
}
],
"priority": 1,
"showAfter": "purchase",
"triggers": [
{
"type": "event",
"eventName": "purchase",
"every": 1,
"rules": []
}
],
"createdAt": "2025-09-01T14:16:09.499Z",
"updatedAt": "2025-09-01T14:16:09.499Z",
"offerId": "68b5aaa9b73fceb9ffc26f9b"
}
]
}
Post Purchase Popups
Get Post Purchase Popup
Retrieves one or more post purchase popups.
GET
/
v2
/
offer
curl -X GET \
'https://api.appcharge.com/v2/offer?publisherOfferIds=post-purchase-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 1,
"offers": [
{
"publisherId": "35nb7861ec9924a6b69a0fe59",
"publisherOfferId": "post-purchase-1",
"name": "Purchase Reward Offer",
"displayName": "Purchase Reward Offer",
"description": "Post purchase offer for VIP players.",
"type": "PopUp",
"subType": "PostPurchase",
"active": true,
"segments": [],
"offerUi": {
"offerUiId": "68b41c5aa1c5b1a284737e9b",
"active": true,
"offerUiType": "PopUp",
"name": "popup",
"description": "description",
"backgroundImage": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2755379465856__fa883338-5790-47c8-a6a0-23cb43db58844",
"externalId": "popup"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"product": {
"publisherProductId": "TreasureChest",
"name": "Treasure Chest",
"type": "Quantity",
"prefix": "$",
"suffix": "M",
"priority": "Main",
"images": [
{
"type": "product",
"url": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2208472.png"
},
{
"type": "productPrefix",
"url": ""
}
],
"displayName": "Treasure Chest"
}
}
]
}
],
"priority": 1,
"showAfter": "purchase",
"triggers": [
{
"type": "event",
"eventName": "purchase",
"every": 1,
"rules": []
}
],
"createdAt": "2025-09-01T14:16:09.499Z",
"updatedAt": "2025-09-01T14:16:09.499Z",
"offerId": "68b5aaa9b73fceb9ffc26f9b"
}
]
}
curl -X GET \
'https://api.appcharge.com/v2/offer?publisherOfferIds=post-purchase-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 1,
"offers": [
{
"publisherId": "35nb7861ec9924a6b69a0fe59",
"publisherOfferId": "post-purchase-1",
"name": "Purchase Reward Offer",
"displayName": "Purchase Reward Offer",
"description": "Post purchase offer for VIP players.",
"type": "PopUp",
"subType": "PostPurchase",
"active": true,
"segments": [],
"offerUi": {
"offerUiId": "68b41c5aa1c5b1a284737e9b",
"active": true,
"offerUiType": "PopUp",
"name": "popup",
"description": "description",
"backgroundImage": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2755379465856__fa883338-5790-47c8-a6a0-23cb43db58844",
"externalId": "popup"
},
"productsSequence": [
{
"index": 1,
"products": [
{
"product": {
"publisherProductId": "TreasureChest",
"name": "Treasure Chest",
"type": "Quantity",
"prefix": "$",
"suffix": "M",
"priority": "Main",
"images": [
{
"type": "product",
"url": "https://media.appcharge.com/media/35nb7861ec9924a6b69a0fe59/2208472.png"
},
{
"type": "productPrefix",
"url": ""
}
],
"displayName": "Treasure Chest"
}
}
]
}
],
"priority": 1,
"showAfter": "purchase",
"triggers": [
{
"type": "event",
"eventName": "purchase",
"every": 1,
"rules": []
}
],
"createdAt": "2025-09-01T14:16:09.499Z",
"updatedAt": "2025-09-01T14:16:09.499Z",
"offerId": "68b5aaa9b73fceb9ffc26f9b"
}
]
}
Headers
The publisher token used for authentication.
Query Parameters
The unique identifier for the offer. To retrieve multiple post purchase popups, separate them with a comma.
Example:
"post-purchase-1,post-purchase-2"
Was this page helpful?
⌘I
